cURL
curl --request POST 'https://api.brightalk.ai/webhook-events/123e4567-e89b-42d3-a456-426614174000/retry' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header 'Brightalk-Version: 2026-07-16' \
--header 'Content-Type: application/json' \
--data '{}'const response = await fetch("https://api.brightalk.ai/webhook-events/123e4567-e89b-42d3-a456-426614174000/retry", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json"
},
body: JSON.stringify({})
});
const result = await response.json();
console.log(result);import os
import requests
response = requests.post(
"https://api.brightalk.ai/webhook-events/123e4567-e89b-42d3-a456-426614174000/retry",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json"
},
json={}
)
print(response.json()){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "call.completed",
"status": "pending",
"attempts": 4503599627370495,
"next_attempt_at": "<string>",
"delivered_at": "<string>",
"created_at": "<string>"
}Integrations
Retry an exhausted callback
Retry an exhausted callback.
POST
/
webhook-events
/
{event_id}
/
retry
cURL
curl --request POST 'https://api.brightalk.ai/webhook-events/123e4567-e89b-42d3-a456-426614174000/retry' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header 'Brightalk-Version: 2026-07-16' \
--header 'Content-Type: application/json' \
--data '{}'const response = await fetch("https://api.brightalk.ai/webhook-events/123e4567-e89b-42d3-a456-426614174000/retry", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json"
},
body: JSON.stringify({})
});
const result = await response.json();
console.log(result);import os
import requests
response = requests.post(
"https://api.brightalk.ai/webhook-events/123e4567-e89b-42d3-a456-426614174000/retry",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json"
},
json={}
)
print(response.json()){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "call.completed",
"status": "pending",
"attempts": 4503599627370495,
"next_attempt_at": "<string>",
"delivered_at": "<string>",
"created_at": "<string>"
}Authorizations
Headers
Body
application/json
The body is of type object.
Response
Successful response.